# Class F2FAccountPayload

#### Hierarchy

- unknown
  - F2FAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4746
- Defined in src/protobuf/pb_pb.d.ts:4764

#####
Index

### Constructors

constructor

### Methods

getCity
getContact
getExtraInfo
serializeBinary
setCity
setContact
setExtraInfo
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new F2FAccountPayload(): F2FAccountPayload

- #### Returns F2FAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getCity

- getCity(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4750

### getContact

- getContact(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4747

### getExtraInfo

- getExtraInfo(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4753

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4756

### setCity

- setCity(value: string): F2FAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns F2FAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4751

### setContact

- setContact(value: string): F2FAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns F2FAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4748

### setExtraInfo

- setExtraInfo(value: string): F2FAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns F2FAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4754

### toObject

- toObject(includeInstance?: boolean): F2FAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns F2FAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4757

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): F2FAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns F2FAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4760

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: F2FAccountPayload, reader: BinaryReader): F2FAccountPayload

- #### Parameters

  - ##### message: F2FAccountPayload

  - ##### reader: BinaryReader

  #### Returns F2FAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4761

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: F2FAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: F2FAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4759

### `Static` toObject

- toObject(includeInstance: boolean, msg: F2FAccountPayload): F2FAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: F2FAccountPayload

  #### Returns F2FAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4758

Generated using TypeDoc